#version 400 core
out vec4 FragColor;

struct DirectionalLight
{
	vec3 color;
	vec3 direction;
};

struct Material
{
  vec3 coefficients; // x = ambient, y = diffuse, z = specular
  float alpha;
};

in vec2 Texture_CS_in;
in vec3 Position_CS_in;
in vec3 Normal_CS_in;

uniform DirectionalLight directionalLight;
uniform Material material;
uniform vec3 cameraPosition;
uniform sampler2D texture_diffuse1;

void main()
{    
    FragColor = vec4(Normal_CS_in, 1.0);
}